require_relative 'lib/iounpack/version'

Gem::Specification.new do |spec|
  spec.name          = "iounpack"
  spec.version       = Iounpack::VERSION
  spec.authors       = ["Denis Knauf"]
	spec.email         = ["git+iounpack@denkn.at"]
	spec.licenses      = ["LGPL-3.0"]

	spec.summary       = %q{Provides IO#unpack and IO#unpack1}
	spec.description   = %q{#unpack works as opposide to pack.  It determines length to read for unpacking.}
	spec.homepage      = "https://git.denkn.at/deac/iounpack"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  #spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
	spec.metadata["source_code_uri"] = spec.homepage
	spec.metadata["changelog_uri"] = spec.homepage

	spec.add_development_dependency "rspec", "~> 3.2"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
